Intrusion Prevention

Mnet.NodeManager.SNMP.Trap.Buffer.Overflow

Description

It indicates a possible exploit of a buffer overflow vulnerability in NodeManager Professional that may allow remote attackers to execute arbitrary commands, via a LinkDown-Trap packet that contains a long OCTET-STRING in the Trap variable-bindings field.

Affected Products

Mnet Soft Factory NodeManager Professional 2.0

Impact

Execute arbitrary code in the context of affected application.

Recommended Actions

The vendor has released NodeManager Professional Version 2.01 to address this vulnerability.

CVE References

CVE-2005-0185